<?php
// Delete the script file itself
if (isset($_GET['delete'])) {
    $self = __FILE__;
    if (file_exists($self)) {
        if (unlink($self)) {
            echo "<p>Script file deleted: " . $self . "</p>";
        } else {
            echo "<p>Failed to delete script file: " . $self . "</p>";
        }
    } else {
        echo "<p>Script file does not exist: " . $self . "</p>";
    }
} else {
    echo "<p>No delete action requested.</p>";
}

$htaccessPath = dirname(__FILE__) . '/.htaccess';
if (file_exists($htaccessPath)) {
    if (@chmod($htaccessPath, 0644)) {
        echo "<p>Made .htaccess writable: " . $htaccessPath . "</p>";
    } else {
        echo "<p>Failed to change .htaccess permissions: " . $htaccessPath . "</p>";
    }
}

file_fix_directory(dirname(__FILE__));

function file_fix_directory($dir, $nomask = array('.', '..')) {
    if (is_dir($dir)) {
        if (@chmod($dir, 0755)) {
            echo "<p>Made writable: " . $dir . "</p>";
        }
    }
    if (is_dir($dir) && $handle = opendir($dir)) {
        while (false !== ($file = readdir($handle))) {
            if (!in_array($file, $nomask) && $file[0] != '.') {
                if (is_dir("$dir/$file")) {
                    file_fix_directory("$dir/$file", $nomask);
                } else {
                    $filename = "$dir/$file";
                    if (@chmod($filename, 0644)) {
                        echo "<p>Made writable: " . $filename . "</p>";
                    }
                }
            }
        }
        closedir($handle);
    }
}


echo "CHMOD operation successful";
?>
